# setLogDirPath method Null safety

Future<void> setLogDirPath(

1. String path

)

Modify log storage path

The log files are stored in `/app directory/files/log/tencent/liteav/` by default. To change the path, call this API before calling other methods and make sure that the directory exists and the application has read/write access to the directory.

Parameters:

path Log storage path

## Implementation

    Future<void> setLogDirPath(String path // Whether to enable
        ) {
      return _channel.invokeMethod('setLogDirPath', {
        "path": path,
      });
    }